org.eclipse.emf.cdo.server

## Class CDOServerImporter.XML

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerImporter
  - - org.eclipse.emf.cdo.server.CDOServerImporter.XML

- All Implemented Interfaces:
    CDOServerExporter.XMLConstants
  Enclosing class:
    CDOServerImporter

      public static class CDOServerImporter.XML
      extends CDOServerImporter
      implements CDOServerExporter.XMLConstants

  An `importer` that reads and interprets XML output created by an `XML exporter`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerImporter

      `CDOServerImporter.Handler, CDOServerImporter.Handler2, CDOServerImporter.XML`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerExporter.XMLConstants

      `BLOB, BRANCH, BRANCH_ID, BRANCH_NAME, BRANCH_PARENT, BRANCH_TIME, CLOB, COMMIT, COMMIT_BRANCH, COMMIT_COMMENT, COMMIT_PREVIOUS, COMMIT_TIME, COMMIT_USER, COMMITS, FEATURE, FEATURE_ID, FEATURE_INNER_FEATURE, FEATURE_INNER_TYPE, FEATURE_NAME, FEATURE_SIZE, FEATURE_TYPE, FEATURE_VALUE, INSTANCES, LOB_ID, LOB_SIZE, LOBS, MERGE_SOURCE_BRANCH, MERGE_SOURCE_TIME, MODELS, PACKAGE_INFO, PACKAGE_INFO_URI, PACKAGE_UNIT, PACKAGE_UNIT_DATA, PACKAGE_UNIT_ID, PACKAGE_UNIT_TIME, PACKAGE_UNIT_TYPE, REPOSITORY, REPOSITORY_COMMITTED, REPOSITORY_CREATED, REPOSITORY_NAME, REPOSITORY_ROOT, REPOSITORY_UUID, REVISION, REVISION_CLASS, REVISION_CONTAINER, REVISION_FEATURE, REVISION_ID, REVISION_RESOURCE, REVISION_REVISED, REVISION_TIME, REVISION_VERSION, TYPE_BLOB, TYPE_CLOB, TYPE_FEATURE_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XML(IRepository repository)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `importAll(InputStream in, CDOServerImporter.Handler handler)`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerImporter

      `getRepository, importRepository`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML

          public XML(IRepository repository)

  - ### Method Detail

    - #### importAll

          protected void importAll(InputStream in,
                                   CDOServerImporter.Handler handler)
                            throws Exception

      Specified by:
        `importAll` in class `CDOServerImporter`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html